from flask import Flask, render_template

app = Flask(__name__)

@app.route('/confirmation/<int:booking_id>')
def confirmation(booking_id):
    # In a real app, you'd fetch these details from a database based on the booking_id
    booking_details = {
        'activity': 'Tennis Court Rental',
        'date': 'April 22, 2024',
        'time': '10:00 AM to 12:00 PM',
        'location': 'Surrey Central Sports Complex, Court #5',
        'name': 'John Doe',
        'total_cost': '$30.00',
        'payment_status': 'Paid'
    }
    return render_template('confirmation.html', details=booking_details)

if __name__ == '__main__':
    app.run(debug=True)
